SalesOS.

Quotes

Quote creation and management

Quotes Controller_list Quotes

GET
/api/quotes

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

statusRequiredstring
opportunityIdRequiredstring
curl -X GET "https://www.salesos.org/api/api/quotes?status=%3Cstring%3E&opportunityId=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Quotes Controller_create Quote

POST
/api/quotes

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/quotes" \
  -H "Authorization: Bearer <token>"

Quotes Controller_get Quote Stats

GET
/api/quotes/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/quotes/stats" \
  -H "Authorization: Bearer <token>"

Quotes Controller_get Quote

GET
/api/quotes/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/quotes/<string>" \
  -H "Authorization: Bearer <token>"

Quotes Controller_update Quote

PATCH
/api/quotes/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PATCH "https://www.salesos.org/api/api/quotes/<string>" \
  -H "Authorization: Bearer <token>"

Quotes Controller_add Line Item

POST
/api/quotes/{id}/line-items

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/quotes/<string>/line-items" \
  -H "Authorization: Bearer <token>"

Quotes Controller_update Line Item

PATCH
/api/quotes/line-items/{lineItemId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

lineItemIdRequiredstring
curl -X PATCH "https://www.salesos.org/api/api/quotes/line-items/<string>" \
  -H "Authorization: Bearer <token>"

Quotes Controller_remove Line Item

DELETE
/api/quotes/line-items/{lineItemId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

lineItemIdRequiredstring
curl -X DELETE "https://www.salesos.org/api/api/quotes/line-items/<string>" \
  -H "Authorization: Bearer <token>"

Quotes Controller_send Quote

POST
/api/quotes/{id}/send

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/quotes/<string>/send" \
  -H "Authorization: Bearer <token>"

Quotes Controller_accept Quote

POST
/api/quotes/{id}/accept

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/quotes/<string>/accept" \
  -H "Authorization: Bearer <token>"

Quotes Controller_reject Quote

POST
/api/quotes/{id}/reject

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/quotes/<string>/reject" \
  -H "Authorization: Bearer <token>"

Quotes Controller_generate Pdf

GET
/api/quotes/{id}/pdf

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/quotes/<string>/pdf" \
  -H "Authorization: Bearer <token>"

Quotes Controller_clone Quote

POST
/api/quotes/{id}/clone

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/quotes/<string>/clone" \
  -H "Authorization: Bearer <token>"

Quotes Controller_recalculate Quote

POST
/api/quotes/{id}/recalculate

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/quotes/<string>/recalculate" \
  -H "Authorization: Bearer <token>"

Quotes Controller_list Documents

GET
/api/quotes/{id}/documents

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/quotes/<string>/documents" \
  -H "Authorization: Bearer <token>"

Quotes Controller_upload Document

POST
/api/quotes/{id}/documents

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/quotes/<string>/documents" \
  -H "Authorization: Bearer <token>"

Quotes Controller_get Document

GET
/api/quotes/documents/{docId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

docIdRequiredstring
curl -X GET "https://www.salesos.org/api/api/quotes/documents/<string>" \
  -H "Authorization: Bearer <token>"

Quotes Controller_delete Document

DELETE
/api/quotes/documents/{docId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

docIdRequiredstring
curl -X DELETE "https://www.salesos.org/api/api/quotes/documents/<string>" \
  -H "Authorization: Bearer <token>"

Quotes Controller_reprocess Document

POST
/api/quotes/documents/{docId}/reprocess

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

docIdRequiredstring
curl -X POST "https://www.salesos.org/api/api/quotes/documents/<string>/reprocess" \
  -H "Authorization: Bearer <token>"